#include <iostream>
#include <memory>
#include <cassert>

#include "basic_testing.h"

#include "../roadmap.h"

TEST(empty) {
    std::unique_ptr<AbstractRoadMap> m(createRoadMap());
    TEST_PASSED;
}

int main() {
    RUN_TEST(empty);
    PRINT_TEST_RESULTS;
    assert(ALL_TESTS_PASSED);
}
